<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PetscExceptionCaught</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PetscExceptionCaught"><H1>PetscExceptionCaught</H1></A>
Indicates if a specific exception zierr was caught. Not Collective
<P>
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
PetscTruth PetscExceptionCaught(PetscErrorCode xierr,PetscErrorCode zierr);
</PRE>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
+ xierr - error code returned from <A HREF="../Sys/PetscExceptionTry1.html#PetscExceptionTry1">PetscExceptionTry1</A>()
- zierr - error code you want it to be
<P>

<P>
<H3><FONT COLOR="#CC3333">Notes</FONT></H3>
PETSc must not be configured using the option --with-errorchecking=0 for this to work
<P>
Use <A HREF="../Sys/PetscExceptionValue.html#PetscExceptionValue">PetscExceptionValue</A>() to see if the current error code is one that has been "tried"
<P>
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Sys/PetscTraceBackErrorHandler.html#PetscTraceBackErrorHandler">PetscTraceBackErrorHandler</A>(), <A HREF="../Sys/PetscPushErrorHandler.html#PetscPushErrorHandler">PetscPushErrorHandler</A>(), <A HREF="../Sys/PetscError.html#PetscError">PetscError</A>(), <A HREF="../Sys/SETERRQ.html#SETERRQ">SETERRQ</A>(), <A HREF="../Sys/CHKMEMQ.html#CHKMEMQ">CHKMEMQ</A>, <A HREF="../Sys/SETERRQ1.html#SETERRQ1">SETERRQ1</A>(), <A HREF="../Sys/SETERRQ2.html#SETERRQ2">SETERRQ2</A>(), <A HREF="../Sys/SETERRQ3.html#SETERRQ3">SETERRQ3</A>(), 
<BR><A HREF="../Sys/CHKERRQ.html#CHKERRQ">CHKERRQ</A>(), <A HREF="../Sys/PetscExceptionTry1.html#PetscExceptionTry1">PetscExceptionTry1</A>(), <A HREF="../Sys/PetscExceptionValue.html#PetscExceptionValue">PetscExceptionValue</A>()
<P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>advanced
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/sys/error/../../../include/petscerror.h.html#PetscExceptionCaught">src/sys/error/../../../include/petscerror.h</A>
<BR><A HREF="./index.html">Index of all Sys routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
<P><H3><FONT COLOR="#CC3333">Examples</FONT></H3>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex10.c.html">src/ksp/ksp/examples/tutorials/ex10.c.html</A><BR>
</BODY></HTML>
